Subject: Re: [PATCH] t1308: do not get fooled by symbolic links to the source tree

From: Johannes Sixt <[email-masked]>
Date: Fri, 3 Jun 2016 08:05:56 +0200

Am 03.06.2016 um 00:15 schrieb Junio C Hamano:
> When your $PWD does not match $(/bin/pwd), e.g. you have your copy
> of the git source tree in one place, point it with a symbolic link,
> and then "cd" to that symbolic link before running 'make test', one
> of the tests in t1308 expects that the per-user configuration was
> reported to have been read from the true path (i.e. relative to the
> target of such a symbolic link), but the test-config program reports
> a path relative to $PWD (i.e. the symbolic link).
>
> Instead, expect a path relative to $HOME (aka $TRASH_DIRECTORY), as
> per-user configuration is read from $HOME/.gitconfig and the test
> framework sets these shell variables up in such a way to avoid this
> problem.

> diff --git a/t/t1308-config-set.sh b/t/t1308-config-set.sh
> index 065d5eb..cf716b4 100755
> --- a/t/t1308-config-set.sh
> +++ b/t/t1308-config-set.sh
> @@ -237,7 +237,7 @@ test_expect_success 'iteration shows correct origins' '
>   	key=foo.bar
>   	value=from-home
>   	origin=file
> -	name=$(pwd)/.gitconfig
> +	name=$HOME/.gitconfig

I haven't tested this, yet, but my guess is that this breaks on Windows: 
test-config will produce C:/foo style path, but the updated test would 
expect /c/foo style path. Dscho, do you have an idea how to fix this?

>   	scope=global
>   	key=foo.bar

-- Hannes